using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.IO;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Scte35.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x00,"SCTE35")]
    public class AvailDescriptor : TsDescriptor
    {
        public AvailDescriptor(byte[] buffer)
        {
            MemoryStream ms = new MemoryStream(buffer, false);
            Identifier = ms.ReadUInt32BE();
            ProviderAvailId = ms.ReadUInt32BE();
        }

        public uint ProviderAvailId { get; set; }

        public uint Identifier { get; private set; }
    }
}
